%define devname	%mklibname %{name} -d

Name:		ofono
Summary:	Open Source Telephony
Version:	2.1
%define subrel 1
Release:	%mkrel 1
License:	GPLv2
Group:		Communications/Telephony
URL:		http://www.ofono.org
Source0:	https://git.kernel.org/pub/scm/network/ofono/ofono.git/snapshot/%{name}-%{version}.tar.gz
Patch0:		a90421d8e45d63b304dc010baba24633e7869682.patch
Patch1:		7f2adfa22fbae824f8e2c3ae86a3f51da31ee400.patch
Patch2:		07f48b23e3877ef7d15a7b0b8b79d32ad0a3607e.patch
Patch3:		8fa1fdfcb54e1edb588c6a5e2688880b065a39c9.patch
Patch4:		2ff2da7ac374a790f8b2a0216bcb4e3126498225.patch
Patch5:		1a5fbefa59465bec80425add562bdb1d36ec8e23.patch
Patch6:		8d74bc66146ea78620d140640a0a57af86fc8936.patch
Patch7:		02aa0f9bad3d9e47a152fc045d0f51874d901d7e.patch

BuildRequires:	automake libtool
BuildRequires:	pkgconfig(ell)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(libudev) >= 145
BuildRequires:	pkgconfig(bluez)
BuildRequires:	pkgconfig(libusb-1.0)
BuildRequires:	pkgconfig(mobile-broadband-provider-info)
BuildRequires:	pkgconfig(libsystemd)

Requires(post):   systemd
Requires(preun):  systemd
Requires(postun): systemd

%description
oFono.org is a place to bring developers together around designing an
infrastructure for building mobile telephony (GSM/UMTS) applications.
oFono includes a high-level D-Bus API for use by telephony applications.
oFono also includes a low-level plug-in API for integrating with telephony
stacks, cellular modems and storage back-ends.

%package -n %{devname}
Summary:	Development files for oFono
Group:		Development/C
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
Development files for oFono.

%prep
%autosetup -p1

%build
if [ ! -f configure ]; then
./bootstrap
fi
%configure \
	--enable-bluetooth \
	--enable-pie \
	--enable-external-ell \
	--disable-silent-rules

%make_build

%install
%make_install

# create/own this
mkdir -p %{buildroot}%{_libdir}/ofono/plugins

%check
make check

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%doc ChangeLog AUTHORS README
%license COPYING
%{_sysconfdir}/dbus-1/system.d/ofono.conf
%dir %{_sysconfdir}/ofono/
%config(noreplace) %{_sysconfdir}/ofono/phonesim.conf
%{_sbindir}/ofonod
%{_unitdir}/ofono.service
%{_mandir}/man8/ofonod.8*
%dir %{_libdir}/ofono
%dir %{_libdir}/ofono/plugins

%files -n %{devname}
%{_includedir}/ofono/
%{_libdir}/pkgconfig/ofono.pc


%changelog
* Wed Feb 12 2025 ns80 <ns80> 2.1-1.1.mga9
+ Revision: 2148002
- add upstream patches for CVE-2023-2794 and CVE-2023-423[2-5] (mga#33841)

* Wed May 17 2023 daviddavid <daviddavid> 2.1-1.mga9
+ Revision: 1957090
- initial package ofono (mga#29728)

